https://rest.ably.io/push/channelSubscriptionsDelete a device details object.
Filter to restrict to subscriptions associated with that channel.
Must be set when clientId is empty, cannot be used with clientId.
Must be set when deviceId is empty, cannot be used with deviceId.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://rest.ably.io/push/channelSubscriptions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://rest.ably.io/push/channelSubscriptionsDelete a device details object.
Filter to restrict to subscriptions associated with that channel.
Must be set when clientId is empty, cannot be used with clientId.
Must be set when deviceId is empty, cannot be used with deviceId.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request DELETE \2 --url 'https://rest.ably.io/push/channelSubscriptions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}